Package org.osgi.annotation.bundle

# Class Requirement.Cardinality

java.lang.Object
org.osgi.annotation.bundle.Requirement.Cardinality

Enclosing class:
  `Requirement`

public static final class Requirement.Cardinality extends Object
Cardinality for this requirement.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MULTIPLE`
Indicates if the requirement can be wired multiple times.
`static final String`
`SINGLE`
Indicates if the requirement can only be wired a single time.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SINGLE

public static final String SINGLE
Indicates if the requirement can only be wired a single time.

See Also:
  - Constant Field Values

### MULTIPLE

public static final String MULTIPLE
Indicates if the requirement can be wired multiple times.

See Also:
  - Constant Field Values